Bug 456744 - SIGSEGV in panel_multiscreen_width
SIGSEGV in panel_multiscreen_width
Status: CLOSED DUPLICATE of bug 458719
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
rawhide
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-26 03:43 EDT by CAI Qian
Modified: 2008-08-13 00:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-13 00:40:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
~/.xsession-errors showing crash of gnome-panel (392.36 KB, text/plain)
2008-08-09 12:46 EDT, Tom London
no flags Details

  None (edit)
Description CAI Qian 2008-07-26 03:43:34 EDT
Description of problem:
Starting GNOME on my Compaq nx6125 laptop, it generated huge number of core
files, and then there was no panels.

$ ls -l core*
...
-rw------- 1 qcai qcai    2932736 2008-07-26 13:18 core.29553
-rw------- 1 qcai qcai    2826240 2008-07-26 13:18 core.29576
-rw------- 1 qcai qcai    2826240 2008-07-26 13:18 core.29596
-rw------- 1 qcai qcai    2826240 2008-07-26 13:18 core.29647
-rw------- 1 qcai qcai    2826240 2008-07-26 13:18 core.29666
...

$ gdb /usr/bin/gnome-panel core.23654
ore was generated by `gnome-panel'.
Program terminated with signal 11, Segmentation fault.
[New process 23654]
#0  0x000000000045bcee in panel_multiscreen_width (
    screen=<value optimized out>, monitor=0) at panel-multiscreen.c:180
180             return geometries [n_screen][monitor].width;
Missing separate debuginfos, use: debuginfo-install esound.x86_64 glib2.x86_64
keyutils.x86_64
(gdb) bt
#0  0x000000000045bcee in panel_multiscreen_width (
    screen=<value optimized out>, monitor=0) at panel-multiscreen.c:180
#1  0x0000000000000001 in ?? ()
#2  0x00000000015f8040 in ?? ()
#3  0x0000000000000001 in ?? ()
#4  0x00000000015d6f60 in ?? ()
#5  0x00000000015efe00 in ?? ()
#6  0x00000000015f5370 in ?? ()
#7  0x0000000000000010 in ?? ()
#8  0x0000000000453037 in panel_toplevel_set_orientation (toplevel=0x450873, 
    orientation=23035968) at panel-toplevel.c:4636
#9  0x00007ff1325a0158 in ?? () from /lib64/libgobject-2.0.so.0
#10 0x00007ff1325a0720 in g_object_newv () from /lib64/libgobject-2.0.so.0
#11 0x00007ff1325a118b in g_object_new_valist ()
   from /lib64/libgobject-2.0.so.0
#12 0x00007ff1325a13dc in g_object_new () from /lib64/libgobject-2.0.so.0
#13 0x0000000000460572 in panel_profile_load_toplevel (client=0x15a66a0, 
    profile_dir=<value optimized out>, type=<value optimized out>, 
    toplevel_id=0x15ecb60 "top_panel") at panel-profile.c:1650
#14 0x00000000004613d6 in panel_profile_load_and_show_toplevel (
    client=0x157a060, profile_dir=0x1578530 "", type=PANEL_GCONF_TOPLEVELS, 
    toplevel_id=0x0) at panel-profile.c:1793
#15 0x000000000045ccf0 in panel_profile_load_list (client=0x15a66a0, 
---Type <return> to continue, or q <return> to quit---
    profile_dir=0x46db10 "/apps/panel", type=PANEL_GCONF_TOPLEVELS, 
    load_handler=0x4613d0 <panel_profile_load_and_show_toplevel>, 
    notify_handler=<value optimized out>) at panel-profile.c:2232
#16 0x000000000045f656 in panel_profile_load () at panel-profile.c:2462
#17 0x000000000042036d in main (argc=1, argv=0x7fff3e970e98) at main.c:93

(gdb) bt full
#0  0x000000000045bcee in panel_multiscreen_width (
    screen=<value optimized out>, monitor=0) at panel-multiscreen.c:180
        n_screen = <value optimized out>
        __PRETTY_FUNCTION__ = "panel_multiscreen_width"
#1  0x0000000000000001 in ?? ()
No symbol table info available.
#2  0x00000000015f8040 in ?? ()
No symbol table info available.
#3  0x0000000000000001 in ?? ()
No symbol table info available.
#4  0x00000000015d6f60 in ?? ()
No symbol table info available.
#5  0x00000000015efe00 in ?? ()
No symbol table info available.
#6  0x00000000015f5370 in ?? ()
#7  0x0000000000000010 in ?? ()
No symbol table info available.
#8  0x0000000000453037 in panel_toplevel_set_orientation (toplevel=0x450873, 
    orientation=23035968) at panel-toplevel.c:4636
        monitor_width = <value optimized out>
        monitor_height = <value optimized out>
        __PRETTY_FUNCTION__ = "panel_toplevel_set_orientation"
---Type <return> to continue, or q <return> to quit---
#9  0x00007ff1325a0158 in ?? () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#10 0x00007ff1325a0720 in g_object_newv () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#11 0x00007ff1325a118b in g_object_new_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#12 0x00007ff1325a13dc in g_object_new () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#13 0x0000000000460572 in panel_profile_load_toplevel (client=0x15a66a0, 
    profile_dir=<value optimized out>, type=<value optimized out>, 
    toplevel_id=0x15ecb60 "top_panel") at panel-profile.c:1650
        toplevel = <value optimized out>
        screen = (GdkScreen *) 0x157a060
        error = <value optimized out>
        key = <value optimized out>
        toplevel_dir = <value optimized out>
        notify_id = <value optimized out>
#14 0x00000000004613d6 in panel_profile_load_and_show_toplevel (
    client=0x157a060, profile_dir=0x1578530 "", type=PANEL_GCONF_TOPLEVELS, 
    toplevel_id=0x0) at panel-profile.c:1793
        toplevel = <value optimized out>
#15 0x000000000045ccf0 in panel_profile_load_list (client=0x15a66a0, 
---Type <return> to continue, or q <return> to quit---
    profile_dir=0x46db10 "/apps/panel", type=PANEL_GCONF_TOPLEVELS, 
    load_handler=0x4613d0 <panel_profile_load_and_show_toplevel>, 
    notify_handler=<value optimized out>) at panel-profile.c:2232
        key = <value optimized out>
        list = (GSList *) 0x15ebbb0
        l = (GSList *) 0x15ebbb0
        id_list = <value optimized out>
#16 0x000000000045f656 in panel_profile_load () at panel-profile.c:2462
        client = (GConfClient *) 0x15a66a0
#17 0x000000000042036d in main (argc=1, argv=0x7fff3e970e98) at main.c:93
        context = <value optimized out>
        program = <value optimized out>


Version-Release number of selected component (if applicable):
GConf2-2.23.1-1.fc10.x86_64
ORBit2-2.14.13-1.fc10.x86_64
libgnomeui-2.23.4-1.fc10.x86_64
gnome-menus-2.23.5-1.fc10.x86_64
gnome-desktop-2.23.5-1.fc10.x86_64
gnome-vfs2-2.22.0-1.fc9.x86_64
gnome-panel-2.23.5-1.fc10.x86_64
alsa-lib-1.0.17-2.fc10.x86_64
at-spi-1.23.5-1.fc10.x86_64
atk-1.23.5-1.fc10.x86_64
audiofile-0.2.6-9.fc10.x86_64
avahi-0.6.22-11.fc10.x86_64
cairo-1.6.4-1.fc9.x86_64
dbus-glib-0.76-1.fc10.x86_64
dbus-1.2.1-7.fc10.x86_64
e2fsprogs-1.41.0-1.fc10.x86_64
expat-2.0.1-5.x86_64
fontconfig-2.6.0-2.fc10.x86_64
freetype-2.3.6-1.fc10.x86_64
glib2-2.17.4-2.fc10.x86_64
gnome-keyring-2.23.5-1.fc10.x86_64
gtk-nodoka-engine-0.7.1-1.fc10.x86_64
gtk2-2.13.5-1.fc10.x86_64
package keyutils.x86_64 is not installed
package krb5.x86_64 is not installed
libICE-1.0.4-4.fc10.x86_64
libcap-2.10-2.fc10.x86_64
libpng-1.2.29-1.fc10.x86_64
libselinux-2.0.67-4.fc10.x86_64
libxcb-1.1-4.fc9.x86_64
libxml2-2.6.32-3.fc10.x86_64
openssl-0.9.8g-10.fc10.x86_64
pango-1.21.3-1.fc10.x86_64
pixman-0.11.8-1.fc10.x86_64
popt-1.13-4.fc10.x86_64
startup-notification-0.9-4.fc9.x86_64
zlib-1.2.3-18.fc9.x86_64

How reproducible:
always
Comment 1 Tom London 2008-08-09 12:46:13 EDT
Created attachment 313881 [details]
~/.xsession-errors showing crash of gnome-panel
Comment 2 Tom London 2008-08-09 12:46:49 EDT
(In reply to comment #1)
> Created an attachment (id=313881) [details]
> ~/.xsession-errors showing crash of gnome-panel

Not sure if this is the same, but I am getting SIGSEGVs of gnome-panel, mostly during 'yum update' runs.  When this happens, the top and bottom panels vanish for about 10 seconds before reappearing.

Here is the latest:
Aug  9 09:21:40 localhost yum: Updated: file-roller-2.23.5-3.fc10.i386
Aug  9 09:21:51 localhost yum: Updated: 1:eclipse-changelog-2.6.2-2.fc10.i386
Aug  9 09:21:55 localhost kernel: gnome-panel[3342]: segfault at 1 ip 0080c5f8 sp bfc05f30 error 4 in libgobject-2.0.so.0.1706.0[7e3000+42000]
Aug  9 09:22:03 localhost yum: Updated: 1:eclipse-cdt-5.0.0-2.fc10.i386

Looking in ~/.xsession-errors, I see:

(gnome-panel:3342): GLib-GObject-WARNING **: invalid cast from `GdkWindowImplX11' to `GtkContainer'

(gnome-panel:3342): Gtk-CRITICAL **: _gtk_container_queue_resize: assertion `GTK_IS_CONTAINER (container)' failed
** (gnome-session:3254): DEBUG: GsmXsmpServer: ice_io_error_handler (0x9b40880)
** (gnome-session:3254): DEBUG: GsmXSMPClient: IceProcessMessagesIOError on '0x9b660a0 [gnome-panel 10627a3b1b3449369b121829814040318800000032540002]'
** (gnome-session:3254): DEBUG: GsmManager: disconnect client
** (gnome-session:3254): DEBUG: GsmManager: disconnect client: /org/gnome/SessionManager/Client4
** (gnome-session:3254): DEBUG: GsmManager: disconnect for app 'gnome-panel.desktop'
** (gnome-session:3254): DEBUG: GsmXSMPClient: getting restart style
** (gnome-session:3254): DEBUG: GsmManager: restarting app
** (gnome-session:3254): DEBUG: Re-starting app: /org/gnome/SessionManager/App3
** (gnome-session:3254): DEBUG: Starting app: /org/gnome/SessionManager/App3
** (gnome-session:3254): DEBUG: GsmAutostartApp: starting gnome-panel.desktop: command=gnome-panel startup-id=10627a3b1b3449369b121829814040318800000032540002
** (gnome-session:3254): DEBUG: GsmAutostartApp: started pid:4917
** (gnome-session:3254): DEBUG: GsmStore: Unreffing object: 0x9b660a0
** (gnome-session:3254): DEBUG: GsmManager: Client removed: /org/gnome/SessionManager/Client4
** (gnome-session:3254): DEBUG: GsmClient: disposing /org/gnome/SessionManager/Client4
** (gnome-session:3254): DEBUG: GsmXSMPClient: xsmp_finalize (0x9b660a0 [gnome-panel 10627a3b1b3449369b121829814040318800000032540002])
** (gnome-session:3254): DEBUG: GsmAutostartApp: (pid:3342) done (signal:11)


Followed by a very large number of:

(gnome-panel:4917): GLib-GObject-WARNING **: invalid cast from `GtkImage' to `GtkContainer'

(gnome-panel:4917): Gtk-CRITICAL **: _gtk_container_queue_resize: assertion `GTK_IS_CONTAINER (container)' failed

(gnome-panel:4917): GLib-GObject-WARNING **: invalid cast from `GtkImage' to `GtkContainer'

(gnome-panel:4917): Gtk-CRITICAL **: _gtk_container_queue_resize: assertion `GTK_IS_CONTAINER (container)' failed


I attach the complete .xsession-errors file.

Anything else useful?
Comment 3 Matthias Clasen 2008-08-09 22:09:38 EDT
If you could attach to the panel with gdb, and break on g_logv to produce a stacktrace from when the warnings start, that may be helpful.
Comment 4 Tom London 2008-08-10 12:47:04 EDT
done!

Here is the backtrace:

Continuing.
Detaching after fork from child process 4402.

Breakpoint 1, IA__g_logv (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>, 
    args1=<value optimized out>) at gmessages.c:395
395	{
(gdb) where
#0  IA__g_logv (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>, 
    args1=<value optimized out>) at gmessages.c:395
#1  0x0073f626 in IA__g_log (log_domain=Could not find the frame base for "IA__g_log".
) at gmessages.c:517
#2  0x0080c688 in IA__g_type_check_instance_cast (
    type_instance=<value optimized out>, iface_type=<value optimized out>)
    at gtype.c:3740
#3  0x066e4264 in real_queue_resize (widget=Could not find the frame base for "real_queue_resize".
) at gtksizegroup.c:159
#4  0x066e43ab in queue_resize_on_widget (widget=Could not find the frame base for "queue_resize_on_widget".
) at gtksizegroup.c:203
#5  0x066e57d8 in _gtk_size_group_queue_resize (widget=Could not find the frame base for "_gtk_size_group_queue_resize".
) at gtksizegroup.c:838
#6  0x067c78fc in IA__gtk_widget_queue_resize (widget=Could not find the frame base for "IA__gtk_widget_queue_resize".
) at gtkwidget.c:3611
#7  0x06633dc2 in gtk_image_update_size (image=Could not find the frame base for "gtk_image_update_size".
) at gtkimage.c:2261
#8  0x066339b3 in IA__gtk_image_clear (image=Could not find the frame base for "IA__gtk_image_clear".
) at gtkimage.c:2153
#9  0x0663101f in IA__gtk_image_set_from_pixbuf (image=Could not find the frame base for "IA__gtk_image_set_from_pixbuf".
) at gtkimage.c:923
#10 0x0807e249 in reload_image_menu_items () at menu.c:249
#11 icon_theme_changed (icon_theme=0x95ce258, data=0x0) at menu.c:261
#12 0x007fa0e4 in IA__g_cclosure_marshal_VOID__VOID (
    closure=<value optimized out>, return_value=Could not find the frame base for "IA__g_cclosure_marshal_VOID__VOID".
) at gmarshal.c:77
#13 0x007ec1f3 in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:767
#14 0x00803a45 in signal_emit_unlocked_R (node=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3244
#15 0x00805166 in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2977
#16 0x00805616 in IA__g_signal_emit (instance=Could not find the frame base for "IA__g_signal_emit".
) at gsignal.c:3034
#17 0x06617551 in ensure_valid_themes (icon_theme=Could not find the frame base for "ensure_valid_themes".
) at gtkicontheme.c:1215
#18 0x0661af95 in _gtk_icon_theme_check_reload (display=Could not find the frame base for "_gtk_icon_theme_check_reload".
)
    at gtkicontheme.c:3400
#19 0x067e0209 in gtk_window_client_event (widget=Could not find the frame base for "gtk_window_client_event".
) at gtkwindow.c:5171
#20 0x06655bfd in _gtk_marshal_BOOLEAN__BOXED (closure=Could not find the frame base for "_gtk_marshal_BOOLEAN__BOXED".
) at gtkmarshalers.c:84
#21 0x007ea969 in g_type_class_meta_marshal (closure=<value optimized out>, 
    return_value=Could not find the frame base for "g_type_class_meta_marshal".
) at gclosure.c:878
#22 0x007ec1f3 in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:767
#23 0x008036cd in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3282
#24 0x0080500b in IA__g_signal_emit_valist (instance=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2987
#25 0x00805616 in IA__g_signal_emit (instance=Could not find the frame base for "IA__g_signal_emit".
) at gsignal.c:3034
#26 0x067c9ce5 in gtk_widget_event_internal (widget=Could not find the frame base for "gtk_widget_event_internal".
) at gtkwidget.c:4745
#27 0x067c97df in IA__gtk_widget_event (widget=Could not find the frame base for "IA__gtk_widget_event".
) at gtkwidget.c:4542
#28 0x06652724 in IA__gtk_main_do_event (event=Could not find the frame base for "IA__gtk_main_do_event".
) at gtkmain.c:1546
#29 0x003af2d3 in gdk_event_dispatch (source=Could not find the frame base for "gdk_event_dispatch".
) at gdkevents-x11.c:2365
#30 0x00735381 in g_main_dispatch () at gmain.c:2072
#31 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2624
#32 0x00738a23 in g_main_context_iterate (context=<value optimized out>, 
    block=<value optimized out>, dispatch=<value optimized out>, self=Could not find the frame base for "g_main_context_iterate".
)
    at gmain.c:2705
#33 0x00738f42 in IA__g_main_loop_run (loop=<value optimized out>)
    at gmain.c:2928
#34 0x06651e55 in IA__gtk_main () at gtkmain.c:1172
#35 0x080609a4 in main (argc=1, argv=0xbfb83484) at main.c:102
(gdb) 


More?
Comment 5 Tom London 2008-08-10 12:51:10 EDT
Continuing from the previous breakpoint immediately produced another.

Synchronizing with ~/.xsession-errors shows that the above backtrace is associated with 

(gnome-panel:3691): GLib-GObject-WARNING **: invalid cast from `GtkImage' to `GtkContainer'

While the trace below is associated with:


(gnome-panel:3691): Gtk-CRITICAL **: _gtk_container_queue_resize: assertion `GTK_IS_CONTAINER (container)' failed

[I think :)]

(gdb) cont
Continuing.

Breakpoint 1, IA__g_logv (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>, 
    args1=<value optimized out>) at gmessages.c:395
395	{
(gdb) where
#0  IA__g_logv (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>, 
    args1=<value optimized out>) at gmessages.c:395
#1  0x0073f626 in IA__g_log (log_domain=Could not find the frame base for "IA__g_log".
) at gmessages.c:517
#2  0x0073f88b in IA__g_return_if_fail_warning (log_domain=Could not find the frame base for "IA__g_return_if_fail_warning".
) at gmessages.c:532
#3  0x065a915f in _gtk_container_queue_resize (container=Could not find the frame base for "_gtk_container_queue_resize".
)
    at gtkcontainer.c:1321
#4  0x066e426c in real_queue_resize (widget=Could not find the frame base for "real_queue_resize".
) at gtksizegroup.c:159
#5  0x066e43ab in queue_resize_on_widget (widget=Could not find the frame base for "queue_resize_on_widget".
) at gtksizegroup.c:203
#6  0x066e57d8 in _gtk_size_group_queue_resize (widget=Could not find the frame base for "_gtk_size_group_queue_resize".
) at gtksizegroup.c:838
#7  0x067c78fc in IA__gtk_widget_queue_resize (widget=Could not find the frame base for "IA__gtk_widget_queue_resize".
) at gtkwidget.c:3611
#8  0x06633dc2 in gtk_image_update_size (image=Could not find the frame base for "gtk_image_update_size".
) at gtkimage.c:2261
#9  0x066339b3 in IA__gtk_image_clear (image=Could not find the frame base for "IA__gtk_image_clear".
) at gtkimage.c:2153
#10 0x0663101f in IA__gtk_image_set_from_pixbuf (image=Could not find the frame base for "IA__gtk_image_set_from_pixbuf".
) at gtkimage.c:923
#11 0x0807e249 in reload_image_menu_items () at menu.c:249
#12 icon_theme_changed (icon_theme=0x95ce258, data=0x0) at menu.c:261
#13 0x007fa0e4 in IA__g_cclosure_marshal_VOID__VOID (
    closure=<value optimized out>, return_value=Could not find the frame base for "IA__g_cclosure_marshal_VOID__VOID".
) at gmarshal.c:77
#14 0x007ec1f3 in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:767
#15 0x00803a45 in signal_emit_unlocked_R (node=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3244
#16 0x00805166 in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2977
#17 0x00805616 in IA__g_signal_emit (instance=Could not find the frame base for "IA__g_signal_emit".
) at gsignal.c:3034
#18 0x06617551 in ensure_valid_themes (icon_theme=Could not find the frame base for "ensure_valid_themes".
) at gtkicontheme.c:1215
#19 0x0661af95 in _gtk_icon_theme_check_reload (display=Could not find the frame base for "_gtk_icon_theme_check_reload".
)
    at gtkicontheme.c:3400
#20 0x067e0209 in gtk_window_client_event (widget=Could not find the frame base for "gtk_window_client_event".
) at gtkwindow.c:5171
#21 0x06655bfd in _gtk_marshal_BOOLEAN__BOXED (closure=Could not find the frame base for "_gtk_marshal_BOOLEAN__BOXED".
) at gtkmarshalers.c:84
#22 0x007ea969 in g_type_class_meta_marshal (closure=<value optimized out>, 
    return_value=Could not find the frame base for "g_type_class_meta_marshal".
) at gclosure.c:878
#23 0x007ec1f3 in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:767
#24 0x008036cd in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3282
#25 0x0080500b in IA__g_signal_emit_valist (instance=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2987
#26 0x00805616 in IA__g_signal_emit (instance=Could not find the frame base for "IA__g_signal_emit".
) at gsignal.c:3034
#27 0x067c9ce5 in gtk_widget_event_internal (widget=Could not find the frame base for "gtk_widget_event_internal".
) at gtkwidget.c:4745
#28 0x067c97df in IA__gtk_widget_event (widget=Could not find the frame base for "IA__gtk_widget_event".
) at gtkwidget.c:4542
#29 0x06652724 in IA__gtk_main_do_event (event=Could not find the frame base for "IA__gtk_main_do_event".
) at gtkmain.c:1546
#30 0x003af2d3 in gdk_event_dispatch (source=Could not find the frame base for "gdk_event_dispatch".
) at gdkevents-x11.c:2365
#31 0x00735381 in g_main_dispatch () at gmain.c:2072
#32 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2624
#33 0x00738a23 in g_main_context_iterate (context=<value optimized out>, 
    block=<value optimized out>, dispatch=<value optimized out>, self=Could not find the frame base for "g_main_context_iterate".
)
    at gmain.c:2705
#34 0x00738f42 in IA__g_main_loop_run (loop=<value optimized out>)
    at gmain.c:2928
#35 0x06651e55 in IA__gtk_main () at gtkmain.c:1172
#36 0x080609a4 in main (argc=1, argv=0xbfb83484) at main.c:102
(gdb)
Comment 6 Tom London 2008-08-10 12:54:02 EDT
After may breaks, I removed the breakpoint and continued to capture the SIGSEGV.

Here it is:

(gdb) clear
Deleted breakpoint 1 
(gdb) cont
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0x0080c5f8 in IA__g_type_check_instance_cast (
    type_instance=<value optimized out>, iface_type=<value optimized out>)
    at gtype.c:3723
3723	      if (type_instance->g_class)
(gdb) where
#0  0x0080c5f8 in IA__g_type_check_instance_cast (
    type_instance=<value optimized out>, iface_type=<value optimized out>)
    at gtype.c:3723
#1  0x066e3fb4 in get_size_groups (widget=Could not find the frame base for "get_size_groups".
) at gtksizegroup.c:77
#2  0x066e438f in queue_resize_on_widget (widget=Could not find the frame base for "queue_resize_on_widget".
) at gtksizegroup.c:199
#3  0x066e57d8 in _gtk_size_group_queue_resize (widget=Could not find the frame base for "_gtk_size_group_queue_resize".
) at gtksizegroup.c:838
#4  0x067c78fc in IA__gtk_widget_queue_resize (widget=Could not find the frame base for "IA__gtk_widget_queue_resize".
) at gtkwidget.c:3611
#5  0x06633dc2 in gtk_image_update_size (image=Could not find the frame base for "gtk_image_update_size".
) at gtkimage.c:2261
#6  0x066339b3 in IA__gtk_image_clear (image=Could not find the frame base for "IA__gtk_image_clear".
) at gtkimage.c:2153
#7  0x0663101f in IA__gtk_image_set_from_pixbuf (image=Could not find the frame base for "IA__gtk_image_set_from_pixbuf".
) at gtkimage.c:923
#8  0x0807e249 in reload_image_menu_items () at menu.c:249
#9  icon_theme_changed (icon_theme=0x95ce258, data=0x0) at menu.c:261
#10 0x007fa0e4 in IA__g_cclosure_marshal_VOID__VOID (
    closure=<value optimized out>, return_value=Could not find the frame base for "IA__g_cclosure_marshal_VOID__VOID".
) at gmarshal.c:77
#11 0x007ec1f3 in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:767
#12 0x00803a45 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3244
#13 0x00805166 in IA__g_signal_emit_valist (instance=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2977
#14 0x00805616 in IA__g_signal_emit (instance=Could not find the frame base for "IA__g_signal_emit".
) at gsignal.c:3034
#15 0x06617551 in ensure_valid_themes (icon_theme=Could not find the frame base for "ensure_valid_themes".
) at gtkicontheme.c:1215
#16 0x0661af95 in _gtk_icon_theme_check_reload (display=Could not find the frame base for "_gtk_icon_theme_check_reload".
)
    at gtkicontheme.c:3400
#17 0x067e0209 in gtk_window_client_event (widget=Could not find the frame base for "gtk_window_client_event".
) at gtkwindow.c:5171
#18 0x06655bfd in _gtk_marshal_BOOLEAN__BOXED (closure=Could not find the frame base for "_gtk_marshal_BOOLEAN__BOXED".
) at gtkmarshalers.c:84
#19 0x007ea969 in g_type_class_meta_marshal (closure=<value optimized out>, 
    return_value=Could not find the frame base for "g_type_class_meta_marshal".
) at gclosure.c:878
#20 0x007ec1f3 in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:767
#21 0x008036cd in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3282
#22 0x0080500b in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2987
#23 0x00805616 in IA__g_signal_emit (instance=Could not find the frame base for "IA__g_signal_emit".
) at gsignal.c:3034
#24 0x067c9ce5 in gtk_widget_event_internal (widget=Could not find the frame base for "gtk_widget_event_internal".
) at gtkwidget.c:4745
---Type <return> to continue, or q <return> to quit---
#25 0x067c97df in IA__gtk_widget_event (widget=Could not find the frame base for "IA__gtk_widget_event".
) at gtkwidget.c:4542
#26 0x06652724 in IA__gtk_main_do_event (event=Could not find the frame base for "IA__gtk_main_do_event".
) at gtkmain.c:1546
#27 0x003af2d3 in gdk_event_dispatch (source=Could not find the frame base for "gdk_event_dispatch".
) at gdkevents-x11.c:2365
#28 0x00735381 in g_main_dispatch () at gmain.c:2072
#29 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2624
#30 0x00738a23 in g_main_context_iterate (context=<value optimized out>, 
    block=<value optimized out>, dispatch=<value optimized out>, self=Could not find the frame base for "g_main_context_iterate".
)
    at gmain.c:2705
#31 0x00738f42 in IA__g_main_loop_run (loop=<value optimized out>)
    at gmain.c:2928
#32 0x06651e55 in IA__gtk_main () at gtkmain.c:1172
#33 0x080609a4 in main (argc=1, argv=0xbfb83484) at main.c:102
(gdb)
Comment 7 Matthias Clasen 2008-08-13 00:40:18 EDT
This is the same stacktrace as in bug 458719

*** This bug has been marked as a duplicate of bug 458719 ***

Note You need to log in before you can comment on or make changes to this bug.